import { Authentication } from '../common';
export interface GetOrderParams {
    id: string;
}
export interface GetOrderResponse {
    id: string;
    marketSymbol: string;
    direction: string;
    type: string;
    quantity: number;
    limit: number;
    ceiling: number;
    timeInForce: string;
    expiresAt: string;
    clientOrderId: string;
    fillQuantity: number;
    commission: number;
    proceeds: number;
    status: string;
    createdAt: string;
    updatedAt: string;
    closedAt: string;
}
export declare const get: (auth: Authentication, params: GetOrderParams) => Promise<GetOrderResponse>;
